Bug 817437 - (CVE-2012-2148) CVE-2012-2148 JBoss AS 7: Property replacement in any descriptor ignores java security policies
CVE-2012-2148 JBoss AS 7: Property replacement in any descriptor ignores java...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120612,reported=2...
: Security
Depends On: 828021
Blocks: 817439
  Show dependency treegraph
 
Reported: 2012-04-29 22:45 EDT by Arun Babu Neelicattu
Modified: 2015-02-15 16:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 00:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2012-04-29 22:45:38 EDT
In JBoss AS 7.1.1 or later, property replacements in any descriptor ignores java security policies being used. If a user configures a security policy, it can be assumed that deployments cannot access properties unless a separate policy is specified. A malicious application could exploit this flaw to access such properties, potentially including properties from the security vault and environment variables.

Upstream bug: https://issues.jboss.org/browse/JBPAPP-8559
Comment 2 David Jorm 2012-06-12 19:14:34 EDT
Statement:

This flaw does not affect any Red Hat JBoss products, it only affects the JBoss AS 7.1.1 community release.

Note You need to log in before you can comment on or make changes to this bug.